/*
LED1:    PIN 8
LED2:    PIN 9
LED3:    PIN 10
MOTEUR:  PIN 11
*/

int data_in=0;
const int TimeEnable=3000;

void setup() {
  
  /* *************** LEDs & Moteur ***************** */ 
  
  // Configuration 
  pinMode(8, OUTPUT);    // LED1
  pinMode(9, OUTPUT);    // LED2
  pinMode(10,OUTPUT);    // LED3
  pinMode(11,OUTPUT);    // MOTEUR
  
  // Initialisation
  digitalWrite(8, LOW);
  digitalWrite(9, LOW);
  digitalWrite(10, LOW);
  digitalWrite(11, LOW);
  
  /* ******************* UART ********************** */
  
  Serial.begin(9600);
}

void loop() 
{ 
  // Vous pouvez remplacer l'instruction IF par SWITCH...CASE
  
  if (Serial.read() =='#') 
  {
    while(1)
    {
      // Get and set LED or Motor 
      data_in = Serial.parseInt();
      
      // LED1
      if (data_in==1)
      {
        digitalWrite(8, HIGH);
        delay(TimeEnable);
        digitalWrite(8, LOW);
      }
      // LED2
      else if(data_in==2)
      {
        digitalWrite(9, HIGH);
        delay(TimeEnable);
        digitalWrite(9, LOW);
      }
      // LED3
      else if(data_in==3)
      {
        digitalWrite(10, HIGH);
        delay(TimeEnable);
        digitalWrite(10, LOW);
      }
      
      // Moteur - Vitesse 1 
      else if(data_in==4)
      {
        analogWrite(11, 60);
        delay(TimeEnable);
        analogWrite(11, 0);
      }
      // Moteur - Vitesse 2 
      else if(data_in==5)
      {
        analogWrite(11, 120);
        delay(TimeEnable);
        analogWrite(11, 0);
      }
      // Moteur - Vitesse 3
      else if(data_in==6)
      {
        analogWrite(11, 180);
        delay(TimeEnable);
        analogWrite(11, 0);
      }
      // Moteur - Vitesse 4
      else if(data_in==7)
      {
        analogWrite(11, 250);
        delay(TimeEnable);
        analogWrite(11, 0);
      }
      else
      {
        digitalWrite(8, LOW);
        digitalWrite(9, LOW);
        digitalWrite(10, LOW);
        digitalWrite(11, LOW);
      }
      if (Serial.read() =='*') break;
    }
  }
}
